Package: ldns / 1.6.17-5

003_dont_require_libldns_la_for_pyldns.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
--- ldns.orig/Makefile.in
+++ ldns/Makefile.in
@@ -247,7 +247,7 @@ $(pywrapdir)/ldns_wrapper.c: $(PYLDNS_I_
 ldns_wrapper.lo: $(pywrapdir)/ldns_wrapper.c ldns/config.h
 	$(COMP_LIB) -I./include/ldns $(PYTHON_CPPFLAGS) $(PYTHON_X_CFLAGS) -c $(pywrapdir)/ldns_wrapper.c -o $@
 
-_ldns.la: ldns_wrapper.lo libldns.la 
+_ldns.la: ldns_wrapper.lo
 	$(LIBTOOL) --tag=CC --mode=link $(CC) $(CFLAGS) $(PYTHON_CFLAGS) $(LDFLAGS) $(PYTHON_LDFLAGS) -module -version-number $(version_info) -no-undefined -o $@ ldns_wrapper.lo -rpath $(python_site) -L. -L.libs -lldns $(LIBS)
 
 $(p5_dns_ldns_dir)/Makefile: $(p5_dns_ldns_dir)/Makefile.PL